rte_ecpri_msg_rm_access(3)

NAME
rte_ecpri_msg_rm_access

SYNOPSIS

#include <rte_ecpri.h>

  Data Fields

uint32_t ele_id:16
uint32_t rr:4
uint32_t rw:4
uint32_t rma_id:8
uint8_t addr [6]
rte_be16_t length

Detailed Description

eCPRI Message Header of Type #4: Remote Memory Access

Definition at line 121 of file rte_ecpri.h.

Field Documentation

  uint32_t ele_id
Element ID

Definition at line 123 of file rte_ecpri.h.

  uint32_t rr
Req/Resp

Definition at line 124 of file rte_ecpri.h.

  uint32_t rw
Read/Write

Definition at line 125 of file rte_ecpri.h.

  uint32_t rma_id
Remote Memory Access ID

Definition at line 126 of file rte_ecpri.h.

  uint8_t addr[6]
48-bits address

Definition at line 133 of file rte_ecpri.h.

  rte_be16_t length
number of bytes

Definition at line 134 of file rte_ecpri.h.

Author

Generated automatically by Doxygen for DPDK from the source code.